Bug 1186889 - Review Request: geoipupdate - Update GeoIP2 and GeoIP Legacy binary databases from MaxMind
Summary: Review Request: geoipupdate - Update GeoIP2 and GeoIP Legacy binary databases...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 19:04 UTC by Philip Prindeville
Modified: 2015-05-14 06:28 UTC (History)
4 users (show)

Fixed In Version: geoipupdate-2.2.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 15:45:20 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Philip Prindeville 2015-01-28 19:04:32 UTC
Spec URL: http://fedorapeople.org/~philipp/geoipupdate.spec
SRPM URL: http://fedorapeople.org/~philipp/geoipupdate-2.1.0-1.fc20.src.rpm
Description: Utility to download MaxMind GeoIP databases
Fedora Account System Username: philipp

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8756701

Comment 1 Philip Prindeville 2015-01-28 19:14:17 UTC
rpmlint results:

$ rpmlint geoipupdate-2.1.0-1.fc20.src.rpm
geoipupdate.src: W: summary-ended-with-dot C Update GeoIP2 and GeoIP Legacy binary databases from MaxMind.
geoipupdate.src:16: W: unversioned-explicit-obsoletes GeoIP-update
geoipupdate.src:16: W: unversioned-explicit-obsoletes GeoIP-update6
geoipupdate.src:55: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 55)
geoipupdate.src: W: invalid-url Source0: http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
$ 

not sure why we're seeing the last warning, since:

$ wget -q -P /tmp 'http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz'
$ 

apparently there's no issue doing a wget of that URL.

$ rpmlint geoipupdate.spec
geoipupdate.spec:16: W: unversioned-explicit-obsoletes GeoIP-update
geoipupdate.spec:16: W: unversioned-explicit-obsoletes GeoIP-update6
geoipupdate.spec:55: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 55)
geoipupdate.spec: W: invalid-url Source0: http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz HTTP Error 403: Forbidden
0 packages and 1 specfiles checked; 0 errors, 4 warnings.
$

Comment 2 Philip Prindeville 2015-01-28 22:46:54 UTC
New Package SCM Request
=======================
Package Name: geoipupdate
Short Description: Utility to download MaxMind GeoIP databases
Upstream URL: http://dev.maxmind.com/geoip/geoipupdate/
Owners: philipp pghmcfc
Branches: f20 f21 f22 el6 epel7
InitialCC: pghmcfc

Comment 3 Philip Prindeville 2015-01-29 02:00:23 UTC
Subsequently fixed the Provides: and Obsoletes: to get rid of unversioned-explicit-obsoletes.

Investigating why rpmlint reports invalid-url: possible lack of support by some websites for HTTP HEAD methods.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-01-29 15:23:36 UTC
This in not EPEL material, you can drop the compat cruft:

  # Noarch subpackages available from Fedora 10, RHEL 6
  %global noarch_subpkgs 0%{?fedora} > 9 || 0%{?rhel} > 5

  rm -rf %{buildroot}

Something strange happens with the provides:
  Provides:       %{name}-cron = %{version}-%{release}
  Obsoletes:      %{name}-cron < %{version}-%{release}
This is implied, no need to add it.

There's no need to talk about non-Linux (or even non-Fedora) in the package description. Remove "Currently the program only supports Linux and
other Unix- like systems."

Also, you don't need to copy ${SOURCE1} twice. Just install it directly in %install.

Otherwise looks OK.

Comment 5 Philip Prindeville 2015-01-29 20:06:26 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> This in not EPEL material, you can drop the compat cruft:
> 
>   # Noarch subpackages available from Fedora 10, RHEL 6
>   %global noarch_subpkgs 0%{?fedora} > 9 || 0%{?rhel} > 5
> 
>   rm -rf %{buildroot}

I need to remove the 'rm' as well?

And why not get this into EPEL?  A lot of CentOS users run mail servers with SpamAssassin, MIMEDefang, and perl-Geo-IP...

> Something strange happens with the provides:
>   Provides:       %{name}-cron = %{version}-%{release}
>   Obsoletes:      %{name}-cron < %{version}-%{release}
> This is implied, no need to add it.

Fixed.

> There's no need to talk about non-Linux (or even non-Fedora) in the package
> description. Remove "Currently the program only supports Linux and
> other Unix- like systems."

Actually, that was cut & pasted verbatim from website's description of the package.  I figured it was simplest to keep the description in the authors' words.

> Also, you don't need to copy ${SOURCE1} twice. Just install it directly in
> %install.

Fixed.

> Otherwise looks OK.

Thanks.

Comment 6 Paul Howarth 2015-01-29 20:14:05 UTC
(In reply to Philip Prindeville from comment #5)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> > This in not EPEL material, you can drop the compat cruft:
> > 
> >   # Noarch subpackages available from Fedora 10, RHEL 6
> >   %global noarch_subpkgs 0%{?fedora} > 9 || 0%{?rhel} > 5
> > 
> >   rm -rf %{buildroot}
> 
> I need to remove the 'rm' as well?
> 
> And why not get this into EPEL?  A lot of CentOS users run mail servers with
> SpamAssassin, MIMEDefang, and perl-Geo-IP...

If you've any intention of updating EPEL to GeoIP 1.6.x then this is a must for those EPEL branches, as GeoIP would need to depend on it (this was split off from GeoIP at 1.6).

> > There's no need to talk about non-Linux (or even non-Fedora) in the package
> > description. Remove "Currently the program only supports Linux and
> > other Unix- like systems."
> 
> Actually, that was cut & pasted verbatim from website's description of the
> package.  I figured it was simplest to keep the description in the authors'
> words.

It's probably not worth keeping anything not relevant to Fedora/EPEL users.

Hopefully I'll have time to take a look at this tomorrow.

Comment 7 Philip Prindeville 2015-01-29 20:25:56 UTC
(In reply to Paul Howarth from comment #6)
> (In reply to Philip Prindeville from comment #5)

> If you've any intention of updating EPEL to GeoIP 1.6.x then this is a must for those > EPEL branches, as GeoIP would need to depend on it (this was split off from GeoIP at > 1.6).

That was my thinking.

> > Actually, that was cut & pasted verbatim from website's description of the
> > package.  I figured it was simplest to keep the description in the authors'
> > words.
> 
> It's probably not worth keeping anything not relevant to Fedora/EPEL users.

Fixed.

Comment 8 Zbigniew Jędrzejewski-Szmek 2015-01-30 02:48:40 UTC
(In reply to Philip Prindeville from comment #7)
> (In reply to Paul Howarth from comment #6)
> > (In reply to Philip Prindeville from comment #5)
> 
> > If you've any intention of updating EPEL to GeoIP 1.6.x then this is a must for those > EPEL branches, as GeoIP would need to depend on it (this was split off from GeoIP at > 1.6).
> 
> That was my thinking.
OK.

> > > Actually, that was cut & pasted verbatim from website's description of the
> > > package.  I figured it was simplest to keep the description in the authors'
> > > words.
> > 
> > It's probably not worth keeping anything not relevant to Fedora/EPEL users.
> 
> Fixed.
It'd help if you uploaded the new version :)

Comment 9 Philip Prindeville 2015-01-30 04:43:06 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)

> It'd help if you uploaded the new version :)

Sorry, thought I had.  Just double-checked and it is now.

Comment 10 Zbigniew Jędrzejewski-Szmek 2015-01-30 12:19:28 UTC
Provides is wrong. See http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages.

I think that EPEL5 has noarch packages. Are you sure the conditional is needed?

Otherwise looks OK.

Comment 11 Paul Howarth 2015-01-30 12:30:02 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #10)
> Provides is wrong. See
> http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.
> 2FReplacing_Existing_Packages.

Yes, this should be:

Provides: GeoIP-update = 1.6.0
Obsoletes: GeoIP-update < 1.6.0

You could arguably use %{version} in the Provides: line but I think it's safer to stick with 1.6.0 as geoipupdate looks to have a different numbering scheme to GeoIP.

> I think that EPEL5 has noarch packages. Are you sure the conditional is
> needed?

It's a noarch sub-package, not a noarch package. They were introduced for F-10/EL-6.

Comment 12 Philip Prindeville 2015-01-30 16:47:35 UTC
(In reply to Paul Howarth from comment #11)

> Yes, this should be:
> 
> Provides: GeoIP-update = 1.6.0
> Obsoletes: GeoIP-update < 1.6.0
> 
> You could arguably use %{version} in the Provides: line but I think it's
> safer to stick with 1.6.0 as geoipupdate looks to have a different numbering
> scheme to GeoIP.

Fixed.

Comment 13 Zbigniew Jędrzejewski-Szmek 2015-01-30 17:28:18 UTC
- Add %config(noreplace) to the cron tab file.
- Add Requires: crontabs.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
I cannot find the license statement anywhere.

[?]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
Please ask upstream to include a license file and add a link to the bug
report in the spec file.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)",
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /var/tmp/1186889-geoipupdate/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/cron.weekly
[!]: %build honors applicable compiler flags or justifies otherwise.
Package processes untrusted input from the network. Add
%global _hardened_build 1

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
EPEL5 compat.

[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     geoipupdate-cron
This must be added.

[?]: Package functions as described.
I'll leave testing for the final version.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geoipupdate-2.1.0-1.fc22.i686.rpm
          geoipupdate-cron-2.1.0-1.fc22.noarch.rpm
          geoipupdate-2.1.0-1.fc22.src.rpm
geoipupdate.i686: W: non-conffile-in-etc /etc/GeoIP.conf.default
Please move this to the documentation directory.

geoipupdate-cron.noarch: W: no-documentation
geoipupdate.src: W: invalid-url Source0: http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
geoipupdate-cron (rpmlib, GLIBC filtered):
    /bin/sh
    geoipupdate

geoipupdate (rpmlib, GLIBC filtered):
    config(geoipupdate)
    libc.so.6
    libcurl.so.4
    libz.so.1
    rtld(GNU_HASH)



Provides
--------
geoipupdate-cron:
    geoipupdate-cron

geoipupdate:
    GeoIP-update
    config(geoipupdate)
    geoipupdate
    geoipupdate(x86-32)



Source checksums
----------------
http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
  CHECKSUM(SHA256) upstream package : 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1186889
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 14 Paul Howarth 2015-01-30 17:34:42 UTC
(In reply to Philip Prindeville from comment #12)
> (In reply to Paul Howarth from comment #11)
> 
> > Yes, this should be:
> > 
> > Provides: GeoIP-update = 1.6.0
> > Obsoletes: GeoIP-update < 1.6.0
> > 
> > You could arguably use %{version} in the Provides: line but I think it's
> > safer to stick with 1.6.0 as geoipupdate looks to have a different numbering
> > scheme to GeoIP.
> 
> Fixed.

We must make sure that anyone updating from GeoIP 1.5.x to 1.6.x gets the GeoIP + geoipupdate combination, as must anyone with GeoIP updating from F-21 to F-22. People doing fresh installs on F-22 can install the two packages independently. It can be tricky to get the provides/obsoletes/requires correct for all of these cases, so they should be tested.

Comment 15 Philip Prindeville 2015-01-30 21:36:43 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #13)
> - Add %config(noreplace) to the cron tab file.
> - Add Requires: crontabs.

Done.

> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [?]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> I cannot find the license statement anywhere.

There's a LICENSE file on github that somehow didn't make it into the release tarball.

> [?]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> Please ask upstream to include a license file and add a link to the bug
> report in the spec file.

Done.

> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or
> later)",
>      "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 5
> files
>      have unknown license. Detailed output of licensecheck in
>      /var/tmp/1186889-geoipupdate/licensecheck.txt
> [-]: License file installed when any subpackage combination is installed.

Upstream limitation... no LICENSE file.

> [x]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/cron.weekly
> [!]: %build honors applicable compiler flags or justifies otherwise.
> Package processes untrusted input from the network. Add
> %global _hardened_build 1

Fixed.

> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
>      Note: rm -rf %{buildroot} present but not required
> EPEL5 compat.
> 
> [?]: Sources contain only permissible code or content.

Not sure why this was marked thusly.

> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [-]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
> names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [x]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: %config files are marked noreplace or the reason is justified.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: No %config files under /usr.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 0 bytes in 0 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [?]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.

Done:

https://github.com/maxmind/geoipupdate/issues/25

and indeed this was promptly fixed and will be in the next release.

> [x]: Final provides and requires are sane (see attachments).
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      geoipupdate-cron
> This must be added.

Added %{?_isa}

> [?]: Package functions as described.
> I'll leave testing for the final version.
> 
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present (not strictly required in GL).
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Uses parallel make %{?_smp_mflags} macro.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: geoipupdate-2.1.0-1.fc22.i686.rpm
>           geoipupdate-cron-2.1.0-1.fc22.noarch.rpm
>           geoipupdate-2.1.0-1.fc22.src.rpm
> geoipupdate.i686: W: non-conffile-in-etc /etc/GeoIP.conf.default
> Please move this to the documentation directory.

Fixed.

> geoipupdate-cron.noarch: W: no-documentation
> geoipupdate.src: W: invalid-url Source0:
> http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.
> 1.0.tar.gz HTTP Error 403: Forbidden

This is limitation of rpmlint using HEAD request which github.com won't honor.

> 3 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> Cannot parse rpmlint output:
> 
> 
> Requires
> --------
> geoipupdate-cron (rpmlib, GLIBC filtered):
>     /bin/sh
>     geoipupdate
> 
> geoipupdate (rpmlib, GLIBC filtered):
>     config(geoipupdate)
>     libc.so.6
>     libcurl.so.4
>     libz.so.1
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> geoipupdate-cron:
>     geoipupdate-cron
> 
> geoipupdate:
>     GeoIP-update
>     config(geoipupdate)
>     geoipupdate
>     geoipupdate(x86-32)
> 
> 
> 
> Source checksums
> ----------------
> http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.
> 1.0.tar.gz :
>   CHECKSUM(SHA256) this package     :
> 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
>   CHECKSUM(SHA256) upstream package :
> 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
> 
> 
> Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
> Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1186889
> Buildroot used: fedora-rawhide-i386
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP, Ruby
> Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 16 Zbigniew Jędrzejewski-Szmek 2015-01-31 00:22:45 UTC
Please remove the extension from the man pages in %files:
   %{_mandir}/man1/geoipupdate.1.*
etc. This makes a potential change of compression easier.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)",
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /var/tmp/1186889-geoipupdate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
It seems to.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geoipupdate-2.1.0-1.fc22.x86_64.rpm
          geoipupdate-cron-2.1.0-1.fc22.noarch.rpm
          geoipupdate-2.1.0-1.fc22.src.rpm
geoipupdate-cron.noarch: W: no-documentation
geoipupdate-cron.noarch: E: executable-marked-as-config-file /etc/cron.weekly/geoipupdate
geoipupdate.src: W: invalid-url Source0: http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
geoipupdate-cron (rpmlib, GLIBC filtered):
    /bin/sh
    config(geoipupdate-cron)
    crontabs
    geoipupdate(x86-64)

geoipupdate (rpmlib, GLIBC filtered):
    config(geoipupdate)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
geoipupdate-cron:
    config(geoipupdate-cron)
    geoipupdate-cron

geoipupdate:
    GeoIP-update
    config(geoipupdate)
    geoipupdate
    geoipupdate(x86-64)



Source checksums
----------------
http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
  CHECKSUM(SHA256) upstream package : 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1186889
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Package is APPROVED, with the understanding that it is for rawhide (F22) only.

Comment 17 Philip Prindeville 2015-01-31 05:07:21 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #16)
> Please remove the extension from the man pages in %files:
>    %{_mandir}/man1/geoipupdate.1.*
> etc. This makes a potential change of compression easier.

Done

> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [-]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or
> later)",
>      "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 5
> files
>      have unknown license. Detailed output of licensecheck in
>      /var/tmp/1186889-geoipupdate/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
>      Note: rm -rf %{buildroot} present but not required
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
> names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [x]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 3 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: %config files are marked noreplace or the reason is justified.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: No %config files under /usr.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> It seems to.
> 
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present (not strictly required in GL).
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Fully versioned dependency in subpackages if applicable.
> [x]: Uses parallel make %{?_smp_mflags} macro.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: geoipupdate-2.1.0-1.fc22.x86_64.rpm
>           geoipupdate-cron-2.1.0-1.fc22.noarch.rpm
>           geoipupdate-2.1.0-1.fc22.src.rpm
> geoipupdate-cron.noarch: W: no-documentation
> geoipupdate-cron.noarch: E: executable-marked-as-config-file
> /etc/cron.weekly/geoipupdate
> geoipupdate.src: W: invalid-url Source0:
> http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.
> 1.0.tar.gz HTTP Error 403: Forbidden
> 3 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> Cannot parse rpmlint output:
> 
> 
> Requires
> --------
> geoipupdate-cron (rpmlib, GLIBC filtered):
>     /bin/sh
>     config(geoipupdate-cron)
>     crontabs
>     geoipupdate(x86-64)
> 
> geoipupdate (rpmlib, GLIBC filtered):
>     config(geoipupdate)
>     libc.so.6()(64bit)
>     libcurl.so.4()(64bit)
>     libz.so.1()(64bit)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> geoipupdate-cron:
>     config(geoipupdate-cron)
>     geoipupdate-cron
> 
> geoipupdate:
>     GeoIP-update
>     config(geoipupdate)
>     geoipupdate
>     geoipupdate(x86-64)
> 
> 
> 
> Source checksums
> ----------------
> http://github.com/maxmind/geoipupdate/releases/download/v2.1.0/geoipupdate-2.
> 1.0.tar.gz :
>   CHECKSUM(SHA256) this package     :
> 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
>   CHECKSUM(SHA256) upstream package :
> 7388c46f6c483ae609e5f5333a2585bc9713d56bb522da5c11b09d41c87aa5fb
> 
> 
> Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
> Command line :/usr/bin/fedora-review -b 1186889
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP, Ruby
> Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
> 
> 
> Package is APPROVED, with the understanding that it is for rawhide (F22)
> only.

What do we need to do to get this into F21 and F20 and EPEL?

Comment 18 Zbigniew Jędrzejewski-Szmek 2015-01-31 05:27:53 UTC
What I meant to say, I now see that this wasn't very clear, was that this *version* with the specific Provides and Obsoletes works in F22. In F21 they might need adjustment. Basically what the maintainer of GeoIP says in #c14. Please coordinate with him.

IIUC, GeoIP-1.5.1-6.fc21.x86_64 provides /usr/bin/geoipupdate, while GeoIP-1.6.4-0.fc22.x86_64 does not, so your package can be installed without conflicts in F22, but not in F21.

BTW, I found a problem with the Provides and Obsoletes:
  Provides:	GeoIP-update = 1.6.0
  Obsoletes:	GeoIP-update < 1.6.0
They should be moved to the -cron subpackage. In F21, GeoIP-update provides the cron file, so it should be replaced with GeoIP-update-cron on upgrades.

Comment 19 Philip Prindeville 2015-01-31 06:10:01 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #18)

> BTW, I found a problem with the Provides and Obsoletes:
>   Provides:	GeoIP-update = 1.6.0
>   Obsoletes:	GeoIP-update < 1.6.0
> They should be moved to the -cron subpackage. In F21, GeoIP-update provides
> the cron file, so it should be replaced with GeoIP-update-cron on upgrades.

Yeah, Paul and I kind of botched that up.  It should have been GeoIP, GeoIP-update, GeoIP-update-cron, and GeoIP-update-cron6... and that way it could have been restructured as GeoIP, geoipupdate, geoipupdate-cron, and geoipupdate-cron6.

But GeoIP-update ended up being overloaded, containing both the utility and the IPv4 cron script...

We'll brainstorm and see what can be done to fix the issue for F20 and F21.

Comment 20 Philip Prindeville 2015-01-31 06:12:15 UTC
Oh, and I pushed a new .spec, etc. to fedorapeople.org with the migrated Provides: and Obsoletes: as you suggested changing.

Comment 21 Zbigniew Jędrzejewski-Szmek 2015-01-31 06:23:59 UTC
Oh, I didn't notice that you're the co-maintainer. Sorry.

You could play with Provides and Obsoletes and join updates of GeoIP and geoipupdate, but is it worth the trouble? Do you need to do the split for F21?

Comment 22 Philip Prindeville 2015-01-31 07:07:33 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #21)
> Oh, I didn't notice that you're the co-maintainer. Sorry.

No worries.

> You could play with Provides and Obsoletes and join updates of GeoIP and
> geoipupdate, but is it worth the trouble? Do you need to do the split for
> F21?

Well, personally I run a few F20 machines that I've not yet had time to update (and I'm still cringing at the thought of 'fedup' not handling /var filesystems correctly).

And I know of a lot of web services (Apache, SpamAssassin, ProFTPD, Mimedefang, etc) which all have GeoIP-based plugins and use geoipupdate to fetch databases weekly. I wouldn't want to leave them all in a lurch...

Comment 23 Zbigniew Jędrzejewski-Szmek 2015-01-31 13:51:43 UTC
You can always release an update of GeoIP in F21 which Requires geoipupdate-cron, and together with it, geoipupdate-cron which Provides/Obsoletes GeoIP-update (like in F22). I think that this would be enough to ensure that existing setups are not broken. The new packages are rather small, so making them separately installable is not a big concern imho.

Comment 24 Paul Howarth 2015-01-31 16:54:15 UTC
I think this package should include a geoipupdate-cron6 package, like the GeoIP-update6 package in current Fedora releases. Then we can have the cron/cron6 packages obsolete/provide the old update/update6 packages. Or am I missing something?

The size of the packages isn't much the issue, it's that the cron jobs do substantial weekly downloads, so people might not want them all bundled together.

Comment 25 Gwyn Ciesla 2015-02-01 15:45:32 UTC
Git done (by process-git-requests).

Comment 26 Philip Prindeville 2015-02-01 16:42:21 UTC
After an initial commit, I was building master and saw this.  Is there a problem with the state of one of the build servers?

$ fedpkg build
Building geoipupdate-2.1.0-1.fc22 for rawhide
Created task: 8789765
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8789765
Watching tasks (this may be safely interrupted)...
8789765 build (rawhide, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (arm02-builder02.arm.fedoraproject.org)
  8789766 buildSRPMFromSCM (/geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (buildvm-08.phx2.fedoraproject.org)
  8789766 buildSRPMFromSCM (/geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (buildvm-08.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  8789770 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, armv7hl): open (arm04-builder03.arm.fedoraproject.org)
  8789772 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, i686): open (buildhw-11.phx2.fedoraproject.org)
  8789771 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, x86_64): open (buildhw-09.phx2.fedoraproject.org)
  8789771 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, x86_64): open (buildhw-09.phx2.fedoraproject.org) -> closed
  0 free  3 open  2 done  0 failed
  8789772 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, i686): open (buildhw-11.phx2.fedoraproject.org) -> closed
  0 free  2 open  3 done  0 failed
  8789770 buildArch (geoipupdate-2.1.0-1.fc22.src.rpm, armv7hl): open (arm04-builder03.arm.fedoraproject.org) -> closed
  0 free  1 open  4 done  0 failed
8789765 build (rawhide, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (arm02-builder02.arm.fedoraproject.org) -> FAILED: BuildError: mismatch when analyzing geoipupdate-cron-2.1.0-1.fc22.noarch.rpm, rpmdiff output was:
error: cannot open Packages database in /var/lib/rpm
error: cannot open Packages database in /var/lib/rpm
removed     REQUIRES geoipupdate(armv7hl-32) = 2.1.0-1.fc22
added       REQUIRES geoipupdate(x86-64) = 2.1.0-1.fc22
  0 free  0 open  4 done  1 failed

8789765 build (rawhide, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e) failed
$

Comment 27 Philip Prindeville 2015-02-01 16:54:19 UTC
Seeing it for PPC on el6 builds as well:

$ fedpkg build
Building geoipupdate-2.1.0-1.el6 for el6-candidate
Created task: 8789907
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8789907
Watching tasks (this may be safely interrupted)...
8789907 build (el6-candidate, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (arm04-builder17.arm.fedoraproject.org)
  8789908 buildSRPMFromSCM (/geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (buildhw-09.phx2.fedoraproject.org)
  8789908 buildSRPMFromSCM (/geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (buildhw-09.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  8789917 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, i686): open (buildhw-05.phx2.fedoraproject.org)
  8789916 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, ppc64): free
  8789915 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, x86_64): open (buildhw-09.phx2.fedoraproject.org)
  8789916 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, ppc64): free -> open (buildppc-01.phx2.fedoraproject.org)
  8789917 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, i686): open (buildhw-05.phx2.fedoraproject.org) -> closed
  0 free  3 open  2 done  0 failed
  8789915 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, x86_64): open (buildhw-09.phx2.fedoraproject.org) -> closed
  0 free  2 open  3 done  0 failed
  8789916 buildArch (geoipupdate-2.1.0-1.el6.src.rpm, ppc64): open (buildppc-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  4 done  0 failed
8789907 build (el6-candidate, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e): open (arm04-builder17.arm.fedoraproject.org) -> FAILED: BuildError: mismatch when analyzing geoipupdate-cron-2.1.0-1.el6.noarch.rpm, rpmdiff output was:
error: cannot open Packages database in /var/lib/rpm
error: cannot open Packages database in /var/lib/rpm
removed     REQUIRES geoipupdate(x86-64) = 2.1.0-1.el6
added       REQUIRES geoipupdate(ppc-64) = 2.1.0-1.el6
  0 free  0 open  4 done  1 failed

8789907 build (el6-candidate, /geoipupdate:f030ce0e834eb6066450ffcadbf44cb5f0a6111e) failed
$

Comment 28 Paul Howarth 2015-02-01 17:02:05 UTC
You can't have noarch sub-packages with %{_isa}-based dependencies, as a noarch package is not arch-specific.

I'm glad it failed though, because I think the IPv6 updates/cron issue needs to be sorted first (comment #24).

Comment 29 Philip Prindeville 2015-02-01 17:32:41 UTC
(In reply to Paul Howarth from comment #28)
> You can't have noarch sub-packages with %{_isa}-based dependencies, as a
> noarch package is not arch-specific.

Wasn't point of comment #13 that the %{?_isa} was required?

[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     geoipupdate-cron

> I'm glad it failed though, because I think the IPv6 updates/cron issue needs
> to be sorted first (comment #24).

Yeah, I'm still thinking about that issue.  I didn't like having a separate lastmod.pl script so I'm thinking of writing a Perl script that handles everything.

I'll try to get it done this week.

Comment 30 Paul Howarth 2015-02-01 17:40:23 UTC
Requires:	%{name}%{?_isa} = %{version}-%{release}, crontabs(In reply to Philip Prindeville from comment #29)
> (In reply to Paul Howarth from comment #28)
> > You can't have noarch sub-packages with %{_isa}-based dependencies, as a
> > noarch package is not arch-specific.
> 
> Wasn't point of comment #13 that the %{?_isa} was required?
> 
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      geoipupdate-cron

The cron package is noarch and must not have an arch-specific dependency.
The resulting package must be the same regardless of which arch it's built on, which can't happen if there's an arch-specific dependency there. If guess that comes under the "if applicable" part of the guideline.

> > I'm glad it failed though, because I think the IPv6 updates/cron issue needs
> > to be sorted first (comment #24).
> 
> Yeah, I'm still thinking about that issue.  I didn't like having a separate
> lastmod.pl script so I'm thinking of writing a Perl script that handles
> everything.
> 
> I'll try to get it done this week.

Please do that before posting any updates for non-Rawhide releases. Let's get this update right first time.

Comment 31 Zbigniew Jędrzejewski-Szmek 2015-02-01 17:41:06 UTC
(In reply to Philip Prindeville from comment #29)
> (In reply to Paul Howarth from comment #28)
> > You can't have noarch sub-packages with %{_isa}-based dependencies, as a
> > noarch package is not arch-specific.
> 
> Wasn't point of comment #13 that the %{?_isa} was required?
I was wrong :) I forgot that this is a noarch package. You should remove %{?_isa}, but the version dependency should stay.

Comment 32 Philip Prindeville 2015-02-01 19:16:42 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #31)
> (In reply to Philip Prindeville from comment #29)
> > Wasn't point of comment #13 that the %{?_isa} was required?
> I was wrong :) I forgot that this is a noarch package. You should remove
> %{?_isa}, but the version dependency should stay.

Fixed as -2.

Comment 33 Paul Howarth 2015-02-03 18:59:50 UTC
OK, I've had time to look at this today and here are my thoughts.

Firstly, the big change between GeoIP 1.5.x and GeoIP 1.6.x+geoipupdate is that there is no libGeoIPUpdate any more. I was quite concerned about that, because even installing the two new packages would not satisfy a dependency on that library on old systems. However, there doesn't seem to be anything in Fedora that requires it, and I haven't been able to find anything in the wider open source world that uses it either, so it's probably not such a big deal. If the worst comes to the worst and somebody raises a bug on it, we could bundle the library in the GeoIP package by building it from the 1.5.x sources, much like the xz package does for the old liblzma.so.0 library.

The other thing missing from the current packages is the cron job for the IPv6 databases. Philip intends to create a new perl script to do this (Comment #29), which could perhaps be based on examples/geolite-mirror-simple.pl from perl-Geo-IP. In the meantime we could go with the last version from the old GeoIP 1.5.x package, packaged up in a new geoipupdate-cron6 package.

Regarding the requires/provides/obsoletes, I think these are actually quite simple, and amount to the following:

 * GeoIP 1.6.x should require geoipdate for F-21, EL-7 and any earlier builds, and not for Rawhide, EL-8 onwards builds/

 * geoipupdate does not need any special obsoletes/provides/requires

 * geoipupdate-cron should obsolete/provide GeoIP-update, and require geoipupdate and crontabs

 * geoipdate-cron6 should obsolete/provide GeoIP-update6, and require geoipupdate, crontabs and wget (or whatever is needed for the script)

I have created some local builds that implement these (close to, but not identical to the Fedora versions):

 * http://subversion.city-fan.org/repos/cfo-repo/GeoIP/trunk/GeoIP.spec
 * http://subversion.city-fan.org/repos/cfo-repo/geoipupdate/trunk/geoipupdate.spec

Comment 34 Paul Howarth 2015-03-05 11:08:51 UTC
Package Change Request
======================
Package Name: geoipupdate
New Branches: el5
Owners: philipp pghmcfc

EL-5 branch needed for update of GeoIP there:
https://bugzilla.redhat.com/show_bug.cgi?id=1158667#c7

Comment 35 Gwyn Ciesla 2015-03-05 15:11:43 UTC
Git done (by process-git-requests).

Comment 36 Fedora Update System 2015-04-14 07:57:57 UTC
GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5

Comment 37 Fedora Update System 2015-04-14 07:59:18 UTC
GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6

Comment 38 Fedora Update System 2015-04-14 08:00:37 UTC
GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21

Comment 39 Fedora Update System 2015-04-14 08:00:54 UTC
GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22

Comment 40 Fedora Update System 2015-04-14 08:03:17 UTC
GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20

Comment 41 Paul Howarth 2015-04-14 14:47:43 UTC
EL-7 ships with GeoIP 1.5.0, which bundles geoipudate. This package would therefore conflict with the EL-7 package if we built it for EPEL-7.

So unless something very unusual happens, I think the epel7 branch of this package will have to be retired.

Comment 42 Fedora Update System 2015-04-21 19:15:09 UTC
GeoIP-GeoLite-data-2015.04-1.fc22, geoipupdate-2.2.1-2.fc22, GeoIP-1.6.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2015-04-26 12:48:40 UTC
GeoIP-GeoLite-data-2015.04-1.fc20, geoipupdate-2.2.1-2.fc20, GeoIP-1.6.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2015-04-26 12:58:46 UTC
GeoIP-GeoLite-data-2015.04-1.fc21, geoipupdate-2.2.1-2.fc21, GeoIP-1.6.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2015-05-14 06:28:03 UTC
geoipupdate-2.2.1-2.el6, GeoIP-1.6.5-1.el6, GeoIP-GeoLite-data-2015.04-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2015-05-14 06:28:45 UTC
geoipupdate-2.2.1-2.el5, GeoIP-GeoLite-data-2015.04-2.el5, GeoIP-1.6.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.